Name: perl-Boulder
Version: 1.30
Release: alt1
Summary: An API for hierarchical tag/value structures
License: GPL+ or Artistic
Group: Development/Perl
Url: http://search.cpan.org/dist/Boulder/
Packager: Boris Savelev <boris@altlinux.org>

Source: http://www.cpan.org/modules/by-module/Boulder/Boulder-%version.tar.gz
BuildArch: noarch

# Automatically added by buildreq on Mon Dec 01 2008
BuildRequires: perl-XML-Parser perl-devel rpm-build-java rpm-build-mono xorg-sdk perldoc perl-CGI

%description
Boulder provides a simple stream-oriented format for transmitting data
objects between one or more processes.  It does not provide for the
serialization of Perl objects the way FreezeThaw or Data::Dumper do, but it
does provide the advantage of being language independent.

%prep
%setup -q -n Boulder-%version

%build
#Uses a non-existent module
rm Boulder/Labbase.pm

perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make pure_install PERL_INSTALL_ROOT=%buildroot

find %buildroot -type f -name .packlist -exec rm -f {} \;
find %buildroot -type d -depth -exec rmdir {} 2>/dev/null \;

perldoc -t perlgpl > COPYING
perldoc -t perlartistic > Artistic

%files
%doc ChangeLog README COPYING Artistic
%doc %perl_vendor_privlib/Boulder.pod
%perl_vendor_privlib/Boulder/
%perl_vendor_privlib/Stone*
%_man3dir/*

%changelog
* Mon Dec 01 2008 Boris Savelev <boris@altlinux.org> 1.30-alt1
- initial build

